> ## Documentation Index
> Fetch the complete documentation index at: https://developer.watson-orchestrate.ibm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chat Starter Settings For A Registered Agent

> Retrieves welcome message and starter prompts of a specific agent by its id.



## OpenAPI

````yaml get /v1/orchestrate/agents/{id}/chat-starter-settings
openapi: 3.1.0
info:
  title: WxO Server API
  summary: API for the next gen watsonx Orchestrate stack
  description: >+

    The watsonx Orchestrate Server provides a set of APIs to power the watsonx
    Orchestrate AI assistant. This includes the following core services:


    * Orchestrate Assistant - a built-in AI assistant that powers the
    Orchestrate end-user experience.

    * Custom Assistants - a service layer for interacting with existing AI
    assistatns (such as those in watsonx Assistant).

    * Message Threads - a chat history and async message tracking store.

    * Document Store - manage collections of documents in nearly any format
    including text, pdf, html and many more.

    * Information Extraction - automatically extract clean text and images from
    any document in the Document Store.  Also extract other useful metadata like
    questions answered, keywords, and named entities.

    * Embedding - generate vector embeddings for text and images in the Document
    Store.

    * Vector Index and Retrieval - automatically index documents with rich
    metadata for vector search or hybrid search.

    * Search Engine - create a Gen AI powered search engine that works like Bing
    or Google.

    * Query Engine - configure your own RAG (Retrieval Augmented Generation)
    engine supporting advanced retrieval patterns and automated data management.

    * Model Proxy - create your own LLM model endpoints for chat completions and
    embeddings.  Supports IBM watsonx.ai, IBM BAM, OpenAI, MistralAI, or Ollama
    for local models.


    WxO API Server utilizes the following open source projects:


    * [PostgreSQL](https://www.postgresql.org/)

    * [PGVector](https://github.com/pgvector/pgvector)

    * [LlamaIndex](https://docs.llamaindex.ai/en/stable/)

    * [LangChain](https://python.langchain.com/docs/get_started/introduction)

    * [FastAPI](https://fastapi.tiangolo.com/)

    * [Unstructured](https://unstructured.io/)

    * [Celery](https://docs.celeryproject.org/en/stable/)

  version: 0.1.0
servers:
  - url: https://{api_endpoint}
    description: version
security: []
paths:
  /v1/orchestrate/agents/{id}/chat-starter-settings:
    get:
      tags:
        - Agent Chat Starter Settings
      summary: Get Chat Starter Settings For A Registered Agent
      description: >-
        Retrieves welcome message and starter prompts of a specific agent by its
        id.
      operationId: >-
        Get_Chat_Starter_Settings_for_a_registered_agent_v1_orchestrate_agents__id__chat_starter_settings_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: environment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Environment Id
        - name: version_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Version Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentChatStarterSettingsOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentChatStarterSettingsOut:
      properties:
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          description: xml strings or encoded base64 image data
        id:
          anyOf:
            - type: string
              format: uuid
            - type: string
          title: Id
          description: Unique identifier for the agent or no_agent for UI get
        tenant_id:
          type: string
          title: Tenant Id
          description: ID of the tenant that owns this agent
        created_by:
          type: string
          title: Created By
          description: ID of the user who created the agent
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: string
          title: Created On
          description: Creation timestamp
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: string
          title: Updated At
          description: Last update timestamp
        updated_by:
          type: string
          title: Updated By
          description: ID of the user who updated the agent
        starter_prompts:
          $ref: '#/components/schemas/AgentPromptsOut'
          description: Agent Starter Prompts
        welcome_content:
          $ref: '#/components/schemas/AgentWelcomeContentOut'
          description: Agent Welcome Message
      type: object
      required:
        - id
        - tenant_id
        - created_by
        - created_on
        - updated_at
        - updated_by
        - starter_prompts
        - welcome_content
      title: AgentChatStarterSettingsOut
      description: A specification for chat starter settings within an agent
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentPromptsOut:
      properties:
        prompts:
          items:
            $ref: '#/components/schemas/AgentPrompt'
          type: array
          title: Prompts
          description: list of starter prompts of the agent
        is_default_prompts:
          type: boolean
          title: Is Default Prompts
          description: is the prompts default or not
          default: false
      type: object
      title: AgentPromptsOut
    AgentWelcomeContentOut:
      properties:
        welcome_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Welcome Message
          description: Welcome message
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description
        is_default_message:
          type: boolean
          title: Is Default Message
          description: is the welcome message default or not
          default: false
        is_default_description:
          type: boolean
          title: Is Default Description
          description: is the welcome message description default or not
          default: false
      type: object
      title: AgentWelcomeContentOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentPrompt:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the prompt
        title:
          type: string
          title: Title
          description: Title of the prompt
        subtitle:
          type: string
          title: Subtitle
          description: description of the prompt
        prompt:
          type: string
          title: Prompt
          description: contents of the prompt
        state:
          type: string
          title: State
          description: active/inactivate
      type: object
      required:
        - title
        - prompt
      title: AgentPrompt
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````